%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate bugreport

Name:           rust-bugreport
Version:        0.5.0
Release:    1%{?dist}
Summary:        Collect system and environment information for bug reports

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/bugreport
Source0:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Collect system and environment information for bug reports.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/example-report.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+collector_operating_system-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+collector_operating_system-devel %{_description}

This package contains library source intended for building other packages which
use the "collector_operating_system" feature of the "%{crate}" crate.

%files       -n %{name}+collector_operating_system-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+format_markdown-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+format_markdown-devel %{_description}

This package contains library source intended for building other packages which
use the "format_markdown" feature of the "%{crate}" crate.

%files       -n %{name}+format_markdown-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+format_plaintext-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+format_plaintext-devel %{_description}

This package contains library source intended for building other packages which
use the "format_plaintext" feature of the "%{crate}" crate.

%files       -n %{name}+format_plaintext-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+git-version-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+git-version-devel %{_description}

This package contains library source intended for building other packages which
use the "git-version" feature of the "%{crate}" crate.

%files       -n %{name}+git-version-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+git_hash-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+git_hash-devel %{_description}

This package contains library source intended for building other packages which
use the "git_hash" feature of the "%{crate}" crate.

%files       -n %{name}+git_hash-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+sys-info-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+sys-info-devel %{_description}

This package contains library source intended for building other packages which
use the "sys-info" feature of the "%{crate}" crate.

%files       -n %{name}+sys-info-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.0-1
- initial build
